#include <windows.h>
#include "../vc++/pdfformfunc.h"
#include <io.h>
#include <stdio.h>

void GetModulePath(char *out_path,char *in_name)
{
	char *p;
	GetModuleFileName(NULL,out_path,256);
	p =strrchr(out_path,'\\');
	p[1]=0;
	strcat(out_path,in_name);
}

void main(int argc, char *argv[])
{
	char szInPDFFile[1024] = {0};
	char szOutPDFFile1[1024] = {0};
	char szOutPDFFile2[1024] = {0};
	char szFormName[1024] = {0};
	char szBarcodeText[1024] = {0};

	PDFForm_SetLicenseKey("XXXXXXXXXXXXXXXXXXXXX");
	GetModulePath(szInPDFFile, "DM_gross.pdf");
	GetModulePath(szOutPDFFile1, "_1_DM_gross.pdf");
	GetModulePath(szOutPDFFile2, "_2_DM_gross.pdf");
	strcpy(szFormName, "Datamatrix");
	strcpy(szBarcodeText, "(1)12345678901234(17)BX123456CrLfHumanReadablePosition");
	BOOL bRet1 = PDFForm_InsertDataMatrixImageIntoPDF2(szInPDFFile, szOutPDFFile1, szFormName, "DataMatrix", szBarcodeText);
	BOOL bRet2 = PDFForm_InsertDataMatrixImageIntoPDF2(szInPDFFile, szOutPDFFile2, szFormName, "GS1DataMatrix", szBarcodeText);
	printf("Return value is: %d and %d\n", bRet1, bRet2);
	return;
}